public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Tim Harder" <radhermit@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libyaml/
Date: Sat, 30 Jun 2018 17:34:45 +0000 (UTC)	[thread overview]
Message-ID: <1530380070.0c35c78cf76a5875e5ac1f2855c39813cc1abfee.radhermit@gentoo> (raw)

commit:     0c35c78cf76a5875e5ac1f2855c39813cc1abfee
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 30 16:14:41 2018 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Sat Jun 30 17:34:30 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c35c78c

dev-libs/libyaml: version bump to 0.2.1

 dev-libs/libyaml/Manifest             |  1 +
 dev-libs/libyaml/libyaml-0.2.1.ebuild | 43 +++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-libs/libyaml/Manifest b/dev-libs/libyaml/Manifest
index b63cfddc644..c82040768ab 100644
--- a/dev-libs/libyaml/Manifest
+++ b/dev-libs/libyaml/Manifest
@@ -1 +1,2 @@
+DIST libyaml-0.2.1.tar.gz 601443 BLAKE2B 4940d1f0a698a985502d6e1c4d3d064061462642829aecc75a820bebcb7b7e4ae5d62777162063650d24962c93da6449bca791811d0438222d897388ec07c2ea SHA512 f91297c37dbbf03aaff718947474381a4a6a4ee1a39171d7fc32c3710ce55321028f3485ea1fcd52b962da36ed021c0b7ec05718296dca636329a19aecc809b8
 DIST yaml-0.1.7.tar.gz 527518 BLAKE2B 80bb082e22e7f8275924aaa4f8e95eefdc94e929690ddefdba61f50d57d01428990687d2c7bcc5b277888825b8bc0619c572594dae64ce00013adde685f9a8d9 SHA512 1ee5007dd10db137b5ee80f8117f07390ec04af98d087a5f5475dd2b38d87c699b79ab1676e6c7bfa263323fcdf8edd69fada2b0b7f9c57bef4e46cd65f1e975

diff --git a/dev-libs/libyaml/libyaml-0.2.1.ebuild b/dev-libs/libyaml/libyaml-0.2.1.ebuild
new file mode 100644
index 00000000000..dc16d59c679
--- /dev/null
+++ b/dev-libs/libyaml/libyaml-0.2.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit libtool
+
+DESCRIPTION="YAML 1.1 parser and emitter written in C"
+HOMEPAGE="https://github.com/yaml/libyaml"
+SRC_URI="https://github.com/yaml/${PN}/archive/dist-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc static-libs test"
+
+S=${WORKDIR}/${PN}-dist-${PV}
+
+src_prepare() {
+	default
+
+	# conditionally remove tests
+	if ! use test; then
+		sed -i -e 's: tests::g' Makefile* || die
+	fi
+
+	elibtoolize  # for FreeMiNT
+}
+
+src_configure() {
+	econf $(use_enable static-libs static)
+}
+
+src_install() {
+	use doc && HTML_DOCS=( doc/html/. )
+	default
+
+	find "${D}" -name '*.la' -delete || die
+
+	docinto examples
+	dodoc tests/example-*.c
+	docompress -x /usr/share/doc/${PF}/examples
+}


             reply	other threads:[~2018-06-30 17:34 UTC|newest]

Thread overview: 42+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-06-30 17:34 Tim Harder [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-05-30 13:55 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libyaml/ Fabian Groffen
2022-07-29  4:17 Sam James
2021-03-21 19:00 David Seifert
2021-02-05 21:37 Sam James
2021-01-24 23:21 Sam James
2021-01-24 13:33 Sam James
2021-01-21 22:31 Sam James
2021-01-20 17:02 Sergei Trofimovich
2021-01-20  9:30 Sam James
2021-01-20  9:29 Sam James
2021-01-20  9:28 Sam James
2021-01-20  0:05 Sam James
2020-12-27 19:16 Fabian Groffen
2020-12-27 14:21 Fabian Groffen
2020-06-02  0:25 Patrick McLean
2019-11-19  1:28 Patrick McLean
2019-11-17  5:08 Tim Harder
2019-09-01 18:30 Mikle Kolyada
2019-09-01 18:30 Mikle Kolyada
2019-09-01 18:30 Mikle Kolyada
2019-08-23 10:04 Agostino Sarubbo
2019-08-23 10:00 Agostino Sarubbo
2019-08-18 21:51 Agostino Sarubbo
2019-08-17 20:41 Sergei Trofimovich
2019-08-17 20:33 Sergei Trofimovich
2019-08-17 20:22 Sergei Trofimovich
2019-08-17 20:17 Sergei Trofimovich
2019-08-16 22:38 Thomas Deutschmann
2019-08-16 22:16 Aaron Bauman
2019-08-15 18:51 Sergei Trofimovich
2019-05-11  5:51 Tim Harder
2019-05-05 12:46 Mikle Kolyada
2019-04-03  4:46 Tim Harder
2017-02-24  4:39 Mike Frysinger
2017-01-21  9:56 Tim Harder
2017-01-07  9:44 Jeroen Roovers
2016-11-29 17:31 Markus Meier
2016-11-25 18:54 Agostino Sarubbo
2016-11-25 18:27 Agostino Sarubbo
2016-11-23 17:59 Tobias Klausmann
2016-08-30  1:51 Tim Harder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1530380070.0c35c78cf76a5875e5ac1f2855c39813cc1abfee.radhermit@gentoo \
    --to=radhermit@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox